# How to setup the Project

## Table of Contents
1. [Prerequisites](#prerequisites)
2. [Setup](#setup)

---

# Prerequisites
Docker installed on the system.

For the frontend it might be necessary to install pnpm and its requirements

For a production environment you may change the database user/password in the `.env` file and the corresponding `dev-compose.yml` or build your own!

# Setup
To execute the database and backend run the following command in the root directory of the project
```bash
docker compose -f dev-compose.yml up -d
```
or if you only want to execute 1 or n containers the syntax is the following
```bash
docker compose -f dev-compose.yml up -d postgres backend frontend
```
this starts all the containers however you can just remove them as you like. If you want to stop all docker containers run
```bash
docker compose -f dev-compose.yml down
```